Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.html
Class FormServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--weblogic.html.FormServlet

Deprecated. See HttpServletRequest.getParameter()

public final class FormServlet
extends javax.servlet.http.HttpServlet

All the functionality of this class is now available in to subclasses of HttpServlet via the `HttpServletRequest.getParameter()` method.

This class is for form-oriented servlets. It merely implements the `service()` and `sendResponse` methods.

Author:
  Copyright (c) 1995-98 by WebLogic, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static boolean` | `verbose` Deprecated.

Constructor Summary
`FormServlet()` Deprecated.

Method Summary
`java.lang.String` | `getServletInfo()` Deprecated. Gets information about a servlet.
`void` | `sendResponse(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, java.util.Hashtable hashTable)` Deprecated. Sends an HTTP response for a FormServlet that includes the user's input in a hashtable.
`void` | `sendResponse(javax.servlet.http.HttpServletResponse res, java.util.Hashtable hashTable)` Deprecated.
`void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Deprecated. Handles the HTTP request and response for a FormServlet.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### verbose

    public static boolean verbose

  Deprecated.

Constructor Detail

### FormServlet

    public FormServlet()

  Deprecated.

Method Detail

### service

    public void service(javax.servlet.http.HttpServletRequest req,
                        javax.servlet.http.HttpServletResponse res)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Deprecated.
  Handles the HTTP request and response for a FormServlet.

  Parameters:
    `req` - javax.servlet.HttpServletRequest object
    `res` - javax.servlet.HttpServletResponse object
  Throws:
    java.io.IOException - if there is an I/O error
    javax.servlet.ServletException - if there is a server-side error
  Overrides:
    service in class javax.servlet.http.HttpServlet

### sendResponse

    public void sendResponse(javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res,
                             java.util.Hashtable hashTable)
                      throws java.io.IOException

  Deprecated.
  Sends an HTTP response for a FormServlet that includes the user's input in a hashtable.

  Parameters:
    `req` - HttpServletRequest object
    `res` - HttpServletResponse object
    `hashTable` - Hashtable of user input
  Throws:
    java.io.IOException - if there is an I/O error

### sendResponse

    public void sendResponse(javax.servlet.http.HttpServletResponse res,
                             java.util.Hashtable hashTable)
                      throws java.io.IOException

  Deprecated.

### getServletInfo

    public java.lang.String getServletInfo()

  Deprecated.
  Gets information about a servlet.

  Overrides:
    getServletInfo in class javax.servlet.GenericServlet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference